﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="WebApplication1.Olapchart.Default" %>

<%@ Register Assembly="Syncfusion.EJ.Web, Version=13.4450.0.53, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89" Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>

<%@ Register Assembly="Syncfusion.EJ.Olap, Version=13.4450.0.53, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89" Namespace="Syncfusion.JavaScript.Web.Olap" TagPrefix="ej" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <link href="../themes/bootstrap.min.css" rel="stylesheet" />
    <link href="../themes/default-theme/ej.widgets.all.min.css" rel="stylesheet" type="text/css" />
    <link href="../themes/default.css" rel="stylesheet" />
    <link href="../themes/default-responsive.css" rel="stylesheet" />
    <!--[if lt IE 9]>
       <script src="../scripts/jquery-1.11.3.min.js" type="text/javascript"></script>
      <!--<![endif]-->
    <!--[if gte IE 9]><!-->
    <script src="../scripts/jquery-2.1.4.min.js" type="text/javascript"></script>
    <!--<![endif]-->
    <script src="../scripts/jquery.easing.1.3.min.js" type="text/javascript"></script>
    <script src="../scripts/ej.web.all.min.js" type="text/javascript"></script>
    <script src="../scripts/properties.js" type="text/javascript"></script>
    <style>
    #OlapChart1
    {
        height:320px;
    }
    #OlapChart2
    {
        height:320px;
    }
    </style>

</head>
<body>
    <form id="form1" runat="server">
        <div>
            <center><h3>OlapChart 1</h3></center>
            <ej:OlapChart ID="OlapChart1" runat="server" Url="../wcf/OlapChartService.svc" ClientIDMode="Static">
                <CommonSeriesOptions Type="Column" EnableAnimation="True" ToolTip-Visible="True"/>
                <ClientSideEvents Load="loadTheme" />
                <Size Width="100%" Height="400px"></Size>
            </ej:OlapChart>
        </div>

        <div style="position:relative;margin-top:100px">
        <center><h3>OlapChart 2</h3></center>
        <div id="OlapChart2"> </div>
        </div>

    </form>
    <script type="text/javascript">

        $(function () {
            var isValid = true;
            $(document).ajaxSuccess(function (event, xhr, settings) {
                if ($.parseJSON(settings.data).action == "initialize" && isValid) {
                    var interval = setInterval(function () {
                        if ($("#OlapChart1").find("svg").length > 0) {
                            isValid = false;
                            $("#OlapChart2").ejOlapChart({
                                url: "/wcf/OlapChartService.svc",  beforeServiceInvoke: "beforeServiceCall", size: { height: "320px", width: "100%" },
                                commonSeriesOptions:{tooltip: { visible: true }}
                            });
                            clearInterval(interval);
                        }
                    }, 500);
                }
            });
        });
        function beforeServiceCall(e) {
            this.model.customObject = { Report: e.element[0].id };
        }
    </script>
</body>
</html>
